Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2841843002: Remove the enable flag from all plugins after the option has been ported. (Closed)

Created:
2 years, 3 months ago by pastarmovj
Modified:
2 years, 3 months ago
Reviewers:
Bernhard Bauer
CC:
chromium-reviews, jam
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove the enable flag from all plugins after the option has been ported. https://codereview.chromium.org/2518493002 removed the code to reenable plugins but this doesn't reset the state and end up overwriting the new pdf/flash setting each time the old prefs are read again. After the CL the flag was not added to new Preferences files this code only applies to existing legacy settings. BUG=705979 Review-Url: https://codereview.chromium.org/2841843002 Cr-Commit-Position: refs/heads/master@{#467285} Committed: https://chromium.googlesource.com/chromium/src/+/e08ac360faf4df6fc67b419d549ad682f8e56962

Patch Set 1 #

Total comments: 2

Patch Set 2 : Refactor. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -3 lines) Patch
M chrome/browser/plugins/plugin_prefs.cc View 1 1 chunk +3 lines, -3 lines 0 comments Download

Messages

Total messages: 15 (9 generated)
pastarmovj
Hi Bernhard, please review this small but smooth fix :) Thanks! Julian
2 years, 3 months ago (2017-04-25 13:44:18 UTC) #6
Bernhard Bauer
https://codereview.chromium.org/2841843002/diff/1/chrome/browser/plugins/plugin_prefs.cc File chrome/browser/plugins/plugin_prefs.cc (right): https://codereview.chromium.org/2841843002/diff/1/chrome/browser/plugins/plugin_prefs.cc#newcode139 chrome/browser/plugins/plugin_prefs.cc:139: bool enabled; I would simplify this to: bool enabled ...
2 years, 3 months ago (2017-04-25 14:15:38 UTC) #8
pastarmovj
https://codereview.chromium.org/2841843002/diff/1/chrome/browser/plugins/plugin_prefs.cc File chrome/browser/plugins/plugin_prefs.cc (right): https://codereview.chromium.org/2841843002/diff/1/chrome/browser/plugins/plugin_prefs.cc#newcode139 chrome/browser/plugins/plugin_prefs.cc:139: bool enabled; On 2017/04/25 14:15:37, Bernhard Bauer wrote: > ...
2 years, 3 months ago (2017-04-26 07:26:38 UTC) #9
Bernhard Bauer
lgtm
2 years, 3 months ago (2017-04-26 09:22:53 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841843002/20001
2 years, 3 months ago (2017-04-26 09:44:35 UTC) #12
commit-bot: I haz the power
2 years, 3 months ago (2017-04-26 10:27:57 UTC) #15
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/e08ac360faf4df6fc67b419d549a...

Powered by Google App Engine
This is Rietveld 408576698